# Package edu.isi.pegasus.planner.catalog.transformation

Class Summary
Mapper: This is an interface for generating valid TC maps which will be used for executable staging.
TCMode: This class defines all the constants referring to the various interfaces to the transformation catalog, and used by the Concrete Planner.
TestTransformationCatalog: A Test program that shows how to load a Replica Catalog, and query for entries sites.
TransformationCatalogEntry: An object of this class corresponds to a tuple in the Transformation Catalog.
TransformationFactory: A factory class to load the appropriate implementation of Transformation Catalog as specified by properties.

Exception Summary
TransformationFactoryException: Class to notify of failures while instantiating Transformation Catalog implementations.